#include<iostream>
using namespace std;

int zarada[200000];
double porez[200000];
double drzava[200000];
int main()
{
	int n, i;
	cin >> n; // broj frilensera
	
	for (i = 0; i < n; i++)
	{
		cin >> zarada[i] >> porez[i];
	}

	int najbolje = 0;
	int suma = 0;
	for (i = 0; i < n; i++)
	{
		suma = 0;
		for (int j = 0; j < n; j++)
		{
			if (porez[j] >= porez[i])
			{
				suma += zarada[j];
			}
		}
		drzava[i] = (double) suma * (porez[i] / 100);
	}

	for (i = 1; i < n; i++)
	{
		if (drzava[i] > drzava[najbolje])
		{
			najbolje = i;
		}
	}

	//cout << drzava[najbolje] << endl;
	printf("%lf\n", drzava[najbolje]);

	return 0;
}